
///////////////////////////////////////////////////////////////////////////////
//
//   ROCKWELL SEMICONDUCTOR SYSTEMS - COMMERCIAL GPS BUSINESS
//
///////////////////////////////////////////////////////////////////////////////
//
//
//   MONSHOW.H - Show Data Function Prototypes
// 
//
//   DESCRIPTION
//
//   Prototypes for the functions which display data to the screen.
//
//
//   REVISION HISTORY
//
//   $Log:   V:\Projects\Labmon\Include\Archives\MONSHOW.H_V  $
//   
//      Rev 1.15   06 Nov 1998 17:47:24   phungh
//   Labmon51: Fix file logging and missing
//   logged data bugs.  Changes made to the
//   "Pause" variable ( 1 -> 0 ) to allow main
//   loop continue.  Move the write to file code
//   portion out of the interrupt hander so that
//   data is not missed because of time spent
//   too long in the interrupt handler.
//   
//      Rev 1.3   Jul 09 1997 10:28:52   COLEJ
//    
//   
//      Rev 1.2   Feb 12 1997 16:04:42   COLEJ
//    
//   
//      Rev 1.1   Aug 13 1996 13:35:36   COLEJ
//    
//   
//      Rev 1.0   13 May 1996 14:54:28   GPSADMIN
//   Initial release to version control.
//
//
////////////////////////////////////////////////////////////////////////////////

void  get_visible_sats        ( void );
void  hide_dtheta             ( void );
void  message_acknowledgment  ( short );
void  show_active_message     ( short );
void  show_BIT_test_labels    ( void );
void  show_BIT_test_results   ( void );
void  show_channels           ( short );
void  show_dtheta             ( short, short );
void  show_lla                ( void );
short show_navcore_status     ( short );
void  show_screen_titles      ( void );
void  show_time               ( double );
void  show_Velocity           ( short );
void  show_visible_sats       ( void );

