
///////////////////////////////////////////////////////////////////////////////
//
//   ROCKWELL SEMICONDUCTOR SYSTEMS - COMMERCIAL GPS BUSINESS
//
///////////////////////////////////////////////////////////////////////////////
//
//
//   SENDNMEA.H - Send NMEA Message Function Prototypes
// 
//
//   DESCRIPTION
//
//   Prototypes for the NMEA-0183 send message functions.
//
//
//   REVISION HISTORY
//
//   $Log:   V:\Projects\Labmon\Include\Archives\SENDNMEA.H_V  $
//   
//      Rev 1.15   06 Nov 1998 17:47:40   phungh
//   Labmon51: Fix file logging and missing
//   logged data bugs.  Changes made to the
//   "Pause" variable ( 1 -> 0 ) to allow main
//   loop continue.  Move the write to file code
//   portion out of the interrupt hander so that
//   data is not missed because of time spent
//   too long in the interrupt handler.
//   
//      Rev 1.3   Jul 09 1997 10:30:12   COLEJ
//    
//   
//      Rev 1.2   Feb 12 1997 16:04:44   COLEJ
//    
//   
//      Rev 1.1   Aug 13 1996 15:09:16   COLEJ
//    
//   
//      Rev 1.0   13 May 1996 14:54:28   GPSADMIN
//   Initial release to version control.
//
//
////////////////////////////////////////////////////////////////////////////////

void send_nmea_log(void);
void send_nmea_ilog(void);
void send_nmea_typ(void);
void send_nmea_ityp(void);
void send_nmea_q(void);     
void send_nmea_gen(void);  
void send_nmea_msg(BYTE *);
